Tag: android gradle

Fehler: kann nicht finden, Symbol-Methode getMap () nach Abhängigkeiten Update

Nachdem ich meine Abhängigkeiten aktualisiert habe, wird mein getMap () nicht funktionieren. (Es funktionierte gut vor dem Update) Hier ist die Zeile der Codes bekomme ich Fehler GoogleMap map = ((MapView) mRootView.findViewById(R.id.fragment_map_mapview)).getMap(); Location locationNet = locationManager.getLastKnownLocation(LocationManager.NETWORK_PROVIDER); Location locationGps = locationManager.getLastKnownLocation(LocationManager.GPS_PROVIDER); Der grandle code dependencies { compile 'com.android.support:support-v4:24.0.0' compile 'com.android.support:appcompat-v7:24.0.0' compile 'com.android.support:cardview-v7:24.0.0' compile 'com.android.support:recyclerview-v7:24.0.0' //compile 'com.google.android.gms:play-services:7.3.0' […]

Google Play Services Inkompatibilität

Ich habe mit google fusioniert Standortdienste auf meiner App für Standort-Tracking. Ich benutze Android Studio und es ist gradle build System. Vor kurzem habe ich ein großes Problem mit den Standortdiensten von Google entdeckt. Meine Gradle-Build-Datei enthielt diese Abhängigkeit: compile 'com.google.android.gms:play-services:+ . Also, als ich mein Projekt wieder aufgebaut habe, hat Android Studio die neueste […]

Gradle Android Projekt mit Java 8 Modul

Wie ich in diesem Beitrag gesehen habe , wird Java 8 jetzt nicht offiziell von Android unterstützt. Also bin ich interessiert, wenn es möglich ist, Android Modul mit Java 7 und Java Modul (als Abhängigkeit) mit Java 8 . Als Beispiel versuche ich, ein Gradle Projekt zu erstellen, das ein Android Modul und ein Java […]

Verwenden Sie verschiedene VersionCode für Debug / Release android gradle build

Ich möchte verschiedene VersionCode anwenden, um apk- Datei zu erstellen. Für Debug nur fix it auf 1 , und für Release, was auch immer in defaultConfig angegeben. Unter Code gibt mypackage-release-1.apk Datei als assembleRelease Artefakt, was nicht erwartet wird. Ich erwartete mypackage-release-10111.apk dafür. Warum das Zeilen- debug { defaultConfig.versionCode=1 } beeinflusst assembleRelease Artefakt? defaultConfig { […]

Fügen Sie abiFilters hinzu, um Eigenschaften zu streichen

Ich möchte ndk.abiFilters-Eigenschaft in der Datei gradle.properties hinzufügen. Jetzt habe ich diese Eigenschaft in build.gradle. Hier ist ein Teil meiner build.gradle buildTypes { debug { ndk { abiFilters "x86", "armeabi-v7a", "armeabi" //abiFilters ABI_FILTERS } } } Hier ist ein Teil meiner Datei gradle.properties ABI_FILTERS = "x86", "armeabi-v7a", "armeabi" Problem ist, dass String von gradle.properties nicht […]

Transitive Abhängigkeiten für lokale aar Bibliothek

Wir machen eine Bibliothek, grundsätzlich für unsere API, dass wir das Leben für unsere externen Entwickler leichter machen würden. So haben wir ein neues Bibliotheksprojekt erstellt und Retrofit und einige andere Bibliotheken als Abhängigkeiten gesetzt. dependencies { compile 'com.android.support:appcompat-v7:23.3.0' compile 'com.google.code.gson:gson:2.6.2' compile 'com.squareup.retrofit2:retrofit:2.0.1' compile 'com.squareup.retrofit2:converter-gson:2.0.1' compile 'com.squareup.okhttp3:okhttp:3.2.0' } Jetzt, wenn wir es bauen, produziert es […]

Wie konfiguriere ich das Android-Verzeichnis?

Der Android gradle baut meine AndroidTests, um in src / androidTests zu sein. Wie ändere ich das zu einem anderen Verzeichnis meiner Wahl? Hier ist etwas Hintergrund: Ich migriere ein Projekt aus Eclipse. Nach der Build-Dokumentation, wenn ich diese zu meiner Gradle-Build-Datei hinzufügen: androidTest.setRoot('tests') Der androide gradle build tut dies: "Anmerkung: setRoot () verschiebt das […]

Wie konvertiere ich apklib zu aar

Wie Gradle keine apklib Abhängigkeiten unterstützt, wie kann man von apklib Abhängigkeiten zu aar Abhängigkeiten migrieren? Ist es möglich, entweder manuell oder automatisch apklib Abhängigkeit zu aar konvertieren? Wenn ja – wie, wenn nein – warum nicht? In dieser Frage gehe ich davon aus, dass ich kein Originalprojekt für apklib , sondern die Datei selbst.

Ressourceneingabe ic_launcher bereits definiert

Kann jeder Körper plz helfen ihm mit diesem Problem möchte ich diese Bibliothek auf meinem Android Studio-Projekt verwenden https://github.com/daimajia/AndroidImageSlider Setzen Sie, wenn ich es in meine gradle Datei es zeigt diese Fehler Information:Gradle tasks [:app:generateDebugSources] Information:res\drawable-mdpi-v4\ic_launcher.png:0: error: Resource entry ic_launcher is already defined. Information:res\drawable-mdpi\ic_launcher.png:0: Originally defined here. Information:res\drawable-xhdpi-v4\ic_launcher.png:0: error: Resource entry ic_launcher is already defined. […]

Kann die Klasse in build.gradle nicht mit Android Studio 0.60 / Gradle 0.11 auflösen

Etablierte App funktioniert gut mit Android Studio 0.5.9 / Gradle 0.9 aber das Upgrade auf Android Studio 0.6.0 / Gradle 0.11 verursacht den Fehler unten. Irgendwie scheint Studio die Fähigkeit verloren zu haben, die Android-Tools an der Spitze der build.gradle-Datei zu lösen. Wer hat irgendwelche Ideen, wie man das lösen kann? build file 'Users/[me]/Repositories/[project]/[module]/build.gradle': 1: […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.